package com.ruoyi.bst.order.domain.enums;

import com.ruoyi.common.utils.collection.CollectionUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

/**
 * @author wjh
 * 2024/12/18
 */
@Getter
@AllArgsConstructor
public enum OrderStatus {

    PROPOSED("1", "拟定"),
    RELEASED("2", "已发布"),
    FINISHED("3", "完工");

    private final String status;
    private final String msg;

    // 允许修改的列表
    public static List<String> canEdit() {
        return asList(PROPOSED);
    }

    // 允许发布的列表
    public static List<String> canRelease() {
        return asList(PROPOSED);
    }

    // 允许完工的列表
    public static List<String> canFinished() {
        return asList(RELEASED);
    }

    // 允许删除的列表
    public static List<String> canDel() {
        return asList(PROPOSED);
    }

    public static List<String> asList(OrderStatus ...statuses) {
        return CollectionUtils.map(OrderStatus::getStatus, statuses);
    }
}
