package com.ruoyi.bst.prodProcess.service;

import com.ruoyi.bst.prodProcess.domain.ProdProcess;
import com.ruoyi.bst.prodProcess.domain.ProdProcessQuery;
import com.ruoyi.bst.prodProcess.domain.ProdProcessVO;

import java.util.List;

/**
 * 产品工序Service接口
 *
 * @author ruoyi
 * @date 2024-12-17
 */
public interface IProdProcessService
{
    /**
     * 查询产品工序
     *
     * @param id 产品工序主键
     * @return 产品工序
     */
    public ProdProcessVO selectProdProcessById(Long id);

    /**
     * 查询产品工序列表
     *
     * @param prodProcess 产品工序
     * @return 产品工序集合
     */
    public List<ProdProcessVO> selectProdProcessList(ProdProcessQuery prodProcess);

    /**
     * 新增产品工序
     *
     * @param prodProcess 产品工序
     * @return 结果
     */
    public int insertProdProcess(ProdProcess prodProcess);

    /**
     * 修改产品工序
     *
     * @param prodProcess 产品工序
     * @return 结果
     */
    public int updateProdProcess(ProdProcess prodProcess);

    /**
     * 批量删除产品工序
     *
     * @param ids 需要删除的产品工序主键集合
     * @return 结果
     */
    public int deleteProdProcessByIds(Long[] ids);

    /**
     * 删除产品工序信息
     *
     * @param id 产品工序主键
     * @return 结果
     */
    public int deleteProdProcessById(Long id);

    /**
     * 根据订单ID查询列表
     */
    List<ProdProcessVO> selectByOrderId(Long orderId);

    /**
     * 批量新增
     */
    int batchInsert(List<? extends ProdProcess> list);

    /**
     * 批量修改
     */
    int batchUpdate(List<? extends ProdProcess> list);

    /**
     * 批量删除
     */
    int batchLogicDel(List<? extends ProdProcess> list);
}
